package com.ruoyi.hezhi.service;

import java.util.List;
import com.ruoyi.hezhi.domain.TbExamBatch;

/**
 * 考试批次Service接口
 *
 * @author ruoyi
 * @date 2024-12-21
 */
public interface ITbExamBatchService
{
    /**
     * 查询考试批次
     *
     * @param examBatchId 考试批次主键
     * @return 考试批次
     */
    public TbExamBatch selectTbExamBatchByExamBatchId(Long examBatchId);

    /**
     * 查询考试批次列表
     *
     * @param tbExamBatch 考试批次
     * @return 考试批次集合
     */
    public List<TbExamBatch> selectTbExamBatchList(TbExamBatch tbExamBatch);

    /**
     * 新增考试批次
     *
     * @param tbExamBatch 考试批次
     * @return 结果
     */
    public int insertTbExamBatch(TbExamBatch tbExamBatch);

    /**
     * 修改考试批次
     *
     * @param tbExamBatch 考试批次
     * @return 结果
     */
    public int updateTbExamBatch(TbExamBatch tbExamBatch);

    /**
     * 批量删除考试批次
     *
     * @param examBatchIds 需要删除的考试批次主键集合
     * @return 结果
     */
    public int deleteTbExamBatchByExamBatchIds(Long[] examBatchIds);

    /**
     * 删除考试批次信息
     *
     * @param examBatchId 考试批次主键
     * @return 结果
     */
    public int deleteTbExamBatchByExamBatchId(Long examBatchId);

    /**
     * 查询考试批次
     * @param examId 考试ID
     * @param batchIndex 批次序号
     * @return 结果
     */
    public TbExamBatch getByExamIdBatchIndex(Long examId, Integer batchIndex);
}
